<?php
class cReporteDigemid{
	
	function filtrar_producto($marca_id){
		$sql="SELECT * 
		FROM tb_producto p
		INNER JOIN tb_categoria c ON p.tb_categoria_id=c.tb_categoria_id
		INNER JOIN tb_marca m ON p.tb_marca_id=m.tb_marca_id
		INNER JOIN tb_presentacion pr ON p.tb_producto_id=pr.tb_producto_id
		INNER JOIN tb_catalogo ct ON pr.tb_presentacion_id=ct.tb_presentacion_id
		INNER JOIN tb_unidad u ON ct.tb_unidad_id_equ=u.tb_unidad_id
        where p.tb_marca_id = '$marca_id' ";

		$oCado = new Cado();
		$rst=$oCado->ejecute_sql($sql);
		return $rst;
	}
	
	function mostrarMarcas($marca_id){
	
	$sql="SELECT * FROM tb_marca WHERE tb_marca_xac=1 ";
	if($marca_id>0)$sql.=" and tb_marca_id = '$marca_id' ";
	$sql.=" ORDER BY tb_marca_nom ";
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	function ventas_codbar($cat,$fec1,$fec2,$punt_ven){
	
	$sql="SELECT * FROM tb_venta v 
	INNER JOIN tb_ventadetalle vd ON v.tb_venta_id = vd.tb_venta_id 
	where tb_catalogo_id = '$cat'
	AND	v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
	
	if($punt_ven>0)$sql.=" and v.tb_puntoventa_id = '$punt_ven' ";
	
	$sql.=" ORDER BY tb_venta_fec ";
	
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}

	function venmax_min($cat,$fec1,$fec2,$punt_ven){
	
	$sql="SELECT min(tb_ventadetalle_preuni) as 'vmin',max(tb_ventadetalle_preuni) as 'vmax'  FROM tb_venta v 
	INNER JOIN tb_ventadetalle vd ON v.tb_venta_id = vd.tb_venta_id 
	where tb_catalogo_id = '$cat'
	AND	v.tb_venta_fec BETWEEN '$fec1' AND '$fec2' ";
	
	if($punt_ven>0)$sql.=" and v.tb_puntoventa_id = '$punt_ven' ";
	
	
	$oCado = new Cado();
	$rst=$oCado->ejecute_sql($sql);
	return $rst;
	}
	
	
}
?>